From 37dd7e11742d7fd0d7d67813e520186625281986 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 25 2020 19:51:59 +0000
Subject: [PATCH 356/2232] Format with clang-format


---

diff --git a/src/cxx.cc b/src/cxx.cc
index 916f525..a0e92ac 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -3,8 +3,8 @@
 #include <exception>
 #include <iostream>
 #include <memory>
-#include <vector>
 #include <stdexcept>
+#include <vector>
 
 template <typename Exception>
 static void panic [[noreturn]] (const char *msg) {
@@ -199,38 +199,56 @@ void cxxbridge02$unique_ptr$std$string$drop(
 }
 } // extern "C"
 
-#define STD_VECTOR_OPS(RUST_TYPE, CXX_TYPE) \
-extern "C" { \
-size_t cxxbridge02$std$vector$##RUST_TYPE##$length(const std::vector<CXX_TYPE> &s) noexcept { \
-  return s.size(); \
-} \
-void cxxbridge02$std$vector$##RUST_TYPE##$push_back(std::vector<CXX_TYPE> &s, const CXX_TYPE &item) noexcept { \
-  s.push_back(item); \
-} \
-const CXX_TYPE *cxxbridge02$std$vector$##RUST_TYPE##$get_unchecked(const std::vector<CXX_TYPE> &s, size_t pos) noexcept { \
-  return &s[pos]; \
-} \
-static_assert(sizeof(::std::unique_ptr<std::vector<CXX_TYPE>>) == sizeof(void *), ""); \
-static_assert(alignof(::std::unique_ptr<std::vector<CXX_TYPE>>) == alignof(void *), ""); \
-void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$null(::std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept { \
-  new (ptr) ::std::unique_ptr<std::vector<CXX_TYPE>>(); \
-} \
-void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$new(::std::unique_ptr<std::vector<CXX_TYPE>> *ptr, std::vector<CXX_TYPE> *value) noexcept { \
-  new (ptr) ::std::unique_ptr<std::vector<CXX_TYPE>>(new std::vector<CXX_TYPE>(::std::move(*value))); \
-} \
-void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$raw(::std::unique_ptr<std::vector<CXX_TYPE>> *ptr, std::vector<CXX_TYPE> *raw) noexcept { \
-  new (ptr) ::std::unique_ptr<std::vector<CXX_TYPE>>(raw); \
-} \
-const std::vector<CXX_TYPE> *cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$get(const ::std::unique_ptr<std::vector<CXX_TYPE>>& ptr) noexcept { \
-  return ptr.get(); \
-} \
-std::vector<CXX_TYPE> *cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$release(::std::unique_ptr<std::vector<CXX_TYPE>>& ptr) noexcept { \
-  return ptr.release(); \
-} \
-void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$drop(::std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept { \
-  ptr->~unique_ptr(); \
-} \
-} // extern "C"
+#define STD_VECTOR_OPS(RUST_TYPE, CXX_TYPE)                                    \
+  extern "C" {                                                                 \
+  size_t cxxbridge02$std$vector$##RUST_TYPE##$length(                          \
+      const std::vector<CXX_TYPE> &s) noexcept {                               \
+    return s.size();                                                           \
+  }                                                                            \
+  void cxxbridge02$std$vector$##RUST_TYPE##$push_back(                         \
+      std::vector<CXX_TYPE> &s, const CXX_TYPE &item) noexcept {               \
+    s.push_back(item);                                                         \
+  }                                                                            \
+  const CXX_TYPE *cxxbridge02$std$vector$##RUST_TYPE##$get_unchecked(          \
+      const std::vector<CXX_TYPE> &s, size_t pos) noexcept {                   \
+    return &s[pos];                                                            \
+  }                                                                            \
+  static_assert(sizeof(::std::unique_ptr<std::vector<CXX_TYPE>>) ==            \
+                    sizeof(void *),                                            \
+                "");                                                           \
+  static_assert(alignof(::std::unique_ptr<std::vector<CXX_TYPE>>) ==           \
+                    alignof(void *),                                           \
+                "");                                                           \
+  void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$null(                   \
+      ::std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept {                \
+    new (ptr)::std::unique_ptr<std::vector<CXX_TYPE>>();                       \
+  }                                                                            \
+  void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$new(                    \
+      ::std::unique_ptr<std::vector<CXX_TYPE>> *ptr,                           \
+      std::vector<CXX_TYPE> *value) noexcept {                                 \
+    new (ptr)::std::unique_ptr<std::vector<CXX_TYPE>>(                         \
+        new std::vector<CXX_TYPE>(::std::move(*value)));                       \
+  }                                                                            \
+  void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$raw(                    \
+      ::std::unique_ptr<std::vector<CXX_TYPE>> *ptr,                           \
+      std::vector<CXX_TYPE> *raw) noexcept {                                   \
+    new (ptr)::std::unique_ptr<std::vector<CXX_TYPE>>(raw);                    \
+  }                                                                            \
+  const std::vector<CXX_TYPE> *                                                \
+      cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$get(                     \
+          const ::std::unique_ptr<std::vector<CXX_TYPE>> &ptr) noexcept {      \
+    return ptr.get();                                                          \
+  }                                                                            \
+  std::vector<CXX_TYPE> *                                                      \
+      cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$release(                 \
+          ::std::unique_ptr<std::vector<CXX_TYPE>> &ptr) noexcept {            \
+    return ptr.release();                                                      \
+  }                                                                            \
+  void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$drop(                   \
+      ::std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept {                \
+    ptr->~unique_ptr();                                                        \
+  }                                                                            \
+  } // extern "C"
 
 STD_VECTOR_OPS(u8, uint8_t);
 STD_VECTOR_OPS(u16, uint16_t);
@@ -244,4 +262,3 @@ STD_VECTOR_OPS(i64, int64_t);
 STD_VECTOR_OPS(isize, rust::isize);
 STD_VECTOR_OPS(f32, float);
 STD_VECTOR_OPS(f64, double);
-
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 9f11d9f..446486d 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -1,7 +1,7 @@
-#include <numeric>
 #include "tests/ffi/tests.h"
 #include "tests/ffi/lib.rs.h"
 #include <cstring>
+#include <numeric>
 #include <stdexcept>
 
 extern "C" void cxx_test_suite_set_correct() noexcept;
@@ -59,7 +59,8 @@ std::unique_ptr<std::string> c_return_unique_ptr_string() {
 }
 
 std::unique_ptr<std::vector<uint8_t>> c_return_unique_ptr_vector_u8() {
-  auto retval = std::unique_ptr<std::vector<uint8_t>>(new std::vector<uint8_t>());
+  auto retval =
+      std::unique_ptr<std::vector<uint8_t>>(new std::vector<uint8_t>());
   retval->push_back(86);
   retval->push_back(75);
   retval->push_back(30);
@@ -162,7 +163,7 @@ void c_take_unique_ptr_vector_shared(std::unique_ptr<std::vector<Shared>> v) {
   }
 }
 
-void c_take_vec_u8(const ::rust::Vec<uint8_t>& v) {
+void c_take_vec_u8(const ::rust::Vec<uint8_t> &v) {
   auto cv = static_cast<std::vector<uint8_t>>(v);
   uint8_t sum = std::accumulate(cv.begin(), cv.end(), 0);
   if (sum == 200) {
@@ -170,10 +171,10 @@ void c_take_vec_u8(const ::rust::Vec<uint8_t>& v) {
   }
 }
 
-void c_take_vec_shared(const ::rust::Vec<Shared>& v) {
+void c_take_vec_shared(const ::rust::Vec<Shared> &v) {
   auto cv = static_cast<std::vector<Shared>>(v);
   uint32_t sum = 0;
-  for (auto i: cv) {
+  for (auto i : cv) {
     sum += i.z;
   }
   if (sum == 2021) {
@@ -195,8 +196,8 @@ std::unique_ptr<std::string> c_try_return_string() {
   return std::unique_ptr<std::string>(new std::string("ok"));
 }
 
-std::unique_ptr<std::string> c_fail_return_string() { 
-  throw std::logic_error("logic error getting string"); 
+std::unique_ptr<std::string> c_fail_return_string() {
+  throw std::logic_error("logic error getting string");
 }
 
 rust::Box<R> c_try_return_box() { return c_return_box(); }
